Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.cusermanager
Interface Constants

    public interface Constants

Version:
  $Revision: 1.5.2.1 $ $Date: 2005/08/05 22:58:29 $
Author:
  smb1@cornell.edu

Field Summary
`static java.lang.String` | `ACCOUNTLOCK` Value = "*LCK*"
`static java.lang.String` | `ACCOUNTLOCKACKNOWLEDGE` Value = "Acc.Is.Locked"
`static java.lang.String` | `ALREADY_EXISTS` Value = "already exists"
`static java.lang.String` | `ATTRUSERNAME` Value = "username"
`static java.lang.String` | `BASEACTION` Value = "baseActionURL"
`static java.lang.String` | `CHNPARAMDATAHANDLER` Value = "IDataHandler.class"
`static java.lang.String` | `CHNPARAMNOTMGR` Value = "act.as.user.password.change.only"
`static java.lang.String` | `DEFAULTDATAHANDLER` Value = "org.jasig.portal.channels.cusermanager.provider.DefaultDataHandlerImpl"
`static java.lang.String` | `DEFAULTMD5PREFIX` Value = "(MD5)"
`static java.lang.String` | `DEFAULTSTYLESHEET` Value = "default"
`static java.lang.String` | `DISPLAYMESSAGE` Any messages to be displayed to the user are sent to the stylesheets as this named variable.
`static java.lang.String` | `ENCRYPTPWDFIELD` Value = "encrptd_pswd"
`static java.lang.String` | `ERRMSG_NORIGHTS` Value = "User \"{0}\" can perform no action within this channel!"
`static java.lang.String` | `ERRMSG_PWDNOTMATACHED` Value = "Password NOT changed!\r\nCurrent Password does not match stored password."
`static java.lang.String` | `FORMACTION` Value = "form_action"
`static java.lang.String` | `FORMCHOSEN` Value = "chosen"
`static java.lang.String` | `FORMNEWPWD` Value = "proposed-password"
`static java.lang.String` | `FORMSRCHSTR` Value = "search-str"
`static java.lang.String` | `MODE` Value = "mode"
`static java.lang.String` | `MODEABOUT` Value = "about"
`static java.lang.String` | `MODEADD` Value = "add"
`static java.lang.String` | `MODECHOOSE` Value = "choose"
`static java.lang.String` | `MODEDISPLAY` Value = "display"
`static java.lang.String` | `MODEHELP` Value = "help"
`static java.lang.String` | `MODEPWDCHNG` Value = "pwdchng"
`static java.lang.String` | `MODESEARCH` Value = "search"
`static java.lang.String` | `MODEUSRPWDCHNG` Value = "User-Pwd-Only-Mode"
`static java.lang.String` | `MSG_PWD_SAVED` Value = "Password changed."
`static java.lang.String` | `MSG_SAVED` Value = "Saved."
`static java.lang.String` | `NULLIFYUSER` Value = "NULLIFY.THIS.USER"
`static java.lang.String` | `PERMISSION_MNGRRIGHT` Value = "acctmgr"
`static java.lang.String` | `PERMISSION_MNGRRIGHTDESC` Value = "Manage User Accounts"
`static java.lang.String` | `PERMISSION_OWNERNAME` Value = "CUserManager"
`static java.lang.String` | `PERMISSION_OWNERTARGET` Value = "Account Manager"
`static java.lang.String` | `PERMISSION_OWNERTOKEN` Value = "org.jasig.portal.channels.cusermanager.CUserManager"
`static java.lang.String` | `PERMISSION_PWDCHNGRIGHT` Value = "pwdchng"
`static java.lang.String` | `PERMISSION_PWDCHNGRIGHTDESC` Value = "Change Current Password"
`static java.lang.String` | `PWDFIELD` Value = "pswd"
`static java.text.SimpleDateFormat` | `SDF` Value of date mask = "yyyy-MM-dd hh:mm:ss"
`static java.lang.String` | `SSLFILE` Value = "CUserManager.ssl"
`static java.lang.String` | `UNFIELD` Value = "user_name"
`static java.lang.String` | `USER_EXISTS` Value = "Username \"{0}\" already exists!"
`static java.lang.String` | `VERSION` Value = "3.0"

Field Detail

### VERSION

    static final java.lang.String VERSION

  Value = "3.0"

  See Also:
    Constant Field Values

### ALREADY_EXISTS

    static final java.lang.String ALREADY_EXISTS

  Value = "already exists"

  See Also:
    Constant Field Values

### PERMISSION_OWNERTOKEN

    static final java.lang.String PERMISSION_OWNERTOKEN

  Value = "org.jasig.portal.channels.cusermanager.CUserManager"

  See Also:
    Constant Field Values

### PERMISSION_OWNERNAME

    static final java.lang.String PERMISSION_OWNERNAME

  Value = "CUserManager"

  See Also:
    Constant Field Values

### PERMISSION_OWNERTARGET

    static final java.lang.String PERMISSION_OWNERTARGET

  Value = "Account Manager"

  See Also:
    Constant Field Values

### PERMISSION_MNGRRIGHT

    static final java.lang.String PERMISSION_MNGRRIGHT

  Value = "acctmgr"

  See Also:
    Constant Field Values

### PERMISSION_MNGRRIGHTDESC

    static final java.lang.String PERMISSION_MNGRRIGHTDESC

  Value = "Manage User Accounts"

  See Also:
    Constant Field Values

### PERMISSION_PWDCHNGRIGHT

    static final java.lang.String PERMISSION_PWDCHNGRIGHT

  Value = "pwdchng"

  See Also:
    Constant Field Values

### PERMISSION_PWDCHNGRIGHTDESC

    static final java.lang.String PERMISSION_PWDCHNGRIGHTDESC

  Value = "Change Current Password"

  See Also:
    Constant Field Values

### DEFAULTDATAHANDLER

    static final java.lang.String DEFAULTDATAHANDLER

  Value = "org.jasig.portal.channels.cusermanager.provider.DefaultDataHandlerImpl"

  See Also:
    Constant Field Values

### CHNPARAMDATAHANDLER

    static final java.lang.String CHNPARAMDATAHANDLER

  Value = "IDataHandler.class"

  See Also:
    Constant Field Values

### CHNPARAMNOTMGR

    static final java.lang.String CHNPARAMNOTMGR

  Value = "act.as.user.password.change.only"

  See Also:
    Constant Field Values

### DEFAULTMD5PREFIX

    static final java.lang.String DEFAULTMD5PREFIX

  Value = "(MD5)"

  See Also:
    Constant Field Values

### DEFAULTSTYLESHEET

    static final java.lang.String DEFAULTSTYLESHEET

  Value = "default"

  See Also:
    Constant Field Values

### BASEACTION

    static final java.lang.String BASEACTION

  Value = "baseActionURL"

  See Also:
    Constant Field Values

### SSLFILE

    static final java.lang.String SSLFILE

  Value = "CUserManager.ssl"

  See Also:
    Constant Field Values

### DISPLAYMESSAGE

    static final java.lang.String DISPLAYMESSAGE

  Any messages to be displayed to the user are sent to the stylesheets as this named variable. Value = "message"

  See Also:
    Constant Field Values

### MODE

    static final java.lang.String MODE

  Value = "mode"

  See Also:
    Constant Field Values

### MODEDISPLAY

    static final java.lang.String MODEDISPLAY

  Value = "display"

  See Also:
    Constant Field Values

### MODEPWDCHNG

    static final java.lang.String MODEPWDCHNG

  Value = "pwdchng"

  See Also:
    Constant Field Values

### MODESEARCH

    static final java.lang.String MODESEARCH

  Value = "search"

  See Also:
    Constant Field Values

### MODECHOOSE

    static final java.lang.String MODECHOOSE

  Value = "choose"

  See Also:
    Constant Field Values

### MODEADD

    static final java.lang.String MODEADD

  Value = "add"

  See Also:
    Constant Field Values

### MODEABOUT

    static final java.lang.String MODEABOUT

  Value = "about"

  See Also:
    Constant Field Values

### MODEHELP

    static final java.lang.String MODEHELP

  Value = "help"

  See Also:
    Constant Field Values

### MODEUSRPWDCHNG

    static final java.lang.String MODEUSRPWDCHNG

  Value = "User-Pwd-Only-Mode"

  See Also:
    Constant Field Values

### PWDFIELD

    static final java.lang.String PWDFIELD

  Value = "pswd"

  See Also:
    Constant Field Values

### ENCRYPTPWDFIELD

    static final java.lang.String ENCRYPTPWDFIELD

  Value = "encrptd_pswd"

  See Also:
    Constant Field Values

### UNFIELD

    static final java.lang.String UNFIELD

  Value = "user_name"

  See Also:
    Constant Field Values

### ATTRUSERNAME

    static final java.lang.String ATTRUSERNAME

  Value = "username"

  See Also:
    Constant Field Values

### ACCOUNTLOCK

    static final java.lang.String ACCOUNTLOCK

  Value = "*LCK*"

  See Also:
    Constant Field Values

### ACCOUNTLOCKACKNOWLEDGE

    static final java.lang.String ACCOUNTLOCKACKNOWLEDGE

  Value = "Acc.Is.Locked"

  See Also:
    Constant Field Values

### FORMACTION

    static final java.lang.String FORMACTION

  Value = "form_action"

  See Also:
    Constant Field Values

### FORMCHOSEN

    static final java.lang.String FORMCHOSEN

  Value = "chosen"

  See Also:
    Constant Field Values

### FORMSRCHSTR

    static final java.lang.String FORMSRCHSTR

  Value = "search-str"

  See Also:
    Constant Field Values

### FORMNEWPWD

    static final java.lang.String FORMNEWPWD

  Value = "proposed-password"

  See Also:
    Constant Field Values

### NULLIFYUSER

    static final java.lang.String NULLIFYUSER

  Value = "NULLIFY.THIS.USER"

  See Also:
    Constant Field Values

### ERRMSG_NORIGHTS

    static final java.lang.String ERRMSG_NORIGHTS

  Value = "User \"{0}\" can perform no action within this channel!"

  See Also:
    Constant Field Values

### ERRMSG_PWDNOTMATACHED

    static final java.lang.String ERRMSG_PWDNOTMATACHED

  Value = "Password NOT changed!\r\nCurrent Password does not match stored password."

  See Also:
    Constant Field Values

### USER_EXISTS

    static final java.lang.String USER_EXISTS

  Value = "Username \"{0}\" already exists!"

  See Also:
    Constant Field Values

### SDF

    static final java.text.SimpleDateFormat SDF

  Value of date mask = "yyyy-MM-dd hh:mm:ss"

### MSG_SAVED

    static final java.lang.String MSG_SAVED

  Value = "Saved."

  See Also:
    Constant Field Values

### MSG_PWD_SAVED

    static final java.lang.String MSG_PWD_SAVED

  Value = "Password changed."

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD